Subject: bug#3325: closed (Re: bug#3325: 23.0.93; Unexpected font for composed character)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Aug 2020 01:42:03 +0000

Your bug report

#3325: 23.0.93; Unexpected font for composed character

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3325: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3325
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3325: 23.0.93; Unexpected font for composed character
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Alan Third <[email-masked]>, [email-masked], Markus Triska <[email-masked]>, Kenichi Handa <[email-masked]>
Date: Wed, 12 Aug 2020 18:41:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> This still happens in Emacs 25, but from the above description it
>> doesn't really sound like a bug. It's Emacs working around the fact that
>> the font doesn't have the glyph.
>>
>>> It may be good that Emacs knows that `u'+U+308 = `ü', but
>>> that kind of normalization is not yet supported.
>>
>> I'm changing this bug report to wishlist.
>
> If I try this (i.e., load a file with ü in it, or say (insert ?u
> #x308)), I get the following:
>
>              position: 1 of 2 (0%), column: 0
>             character: u (displayed as u) (codepoint 117, #o165, #x75)
>               charset: ascii (ASCII (ISO646 IRV))
> code point in charset: 0x75
>                script: latin
>                syntax: w 	which means: word
>              category: .:Base, L:Left-to-right (strong), a:ASCII, l:Latin, r:Roman
>              to input: type "C-x 8 RET 75" or "C-x 8 RET LATIN SMALL LETTER U"
>           buffer code: #x75
>             file code: #x75 (encoded by coding system utf-8)
>               display: composed to form "ü" (see below)
>
> Composed with the following character(s) "̈" using this font:
>   xfthb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-25-*-*-*-m-0-iso10646-1
> by these glyphs:
>   [0 1 117 190 15 2 13 19 0 nil]
>
> Character code properties: customize what to show
>   name: LATIN SMALL LETTER U
>   general-category: Ll (Letter, Lowercase)
>   decomposition: (117) ('u')
>
> And the display looks correct.  So it seems like this has been fixed
> now?

Since there has been no further update here within 40 weeks, I'm going
to assume yes and close this bug report.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas

Subject: 23.0.93; Unexpected font for composed character
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Mon, 18 May 2009 20:05:12 +0200

I have a file ~/Downloads/Büroanwendungen.zip. When I visit ~/Downloads/
in dired (C-x d ~/Downloads/ RET) and press C-u x = on the "ü", I get:

           character: u (117, #o165, #x75)
   preferred charset: ascii (ASCII (ISO646 IRV))
          code point: 0x75
              syntax: w 	which means: word
            category: .:Base, a:ASCII, l:Latin, r:Roman
         buffer code: #x75
           file code: #x75 (encoded by coding system utf-8-unix)
             display: composed to form "ü" (see below)

   Composed with the following character(s) "̈" using this font:
     xft:-itc-American Typewriter-normal-normal-normal-*-20-*-*-*-*-0-iso10646-1
   by these glyphs:
     [0 1 117 93 12 -1 12 11 0 nil]
     [0 1 776 241 0 -8 -2 14 -11 [-2 -2 0]]

   Character code properties: customize what to show
     name: LATIN SMALL LETTER U
     general-category: Ll (Letter, Lowercase)

   There are text properties here:
     dired-filename       t
     fontified            t
     help-echo            "mouse-2: visit this file in other window"
     mouse-face           highlight

This font differs unexpectedly (for me) from the one used for the "r":

             character: r (114, #o162, #x72)
   preferred charset: ascii (ASCII (ISO646 IRV))
          code point: 0x72
              syntax: w 	which means: word
            category: .:Base, a:ASCII, l:Latin, r:Roman
         buffer code: #x72
           file code: #x72 (encoded by coding system utf-8-unix)
             display: by this font (glyph code)
       xft:-bitstream-Bitstream Vera Sans Mono-normal-normal-normal-*-20-*-*-*-m-0-iso10646-1 (#x55)

   Character code properties: customize what to show
     name: LATIN SMALL LETTER R
     general-category: Ll (Letter, Lowercase)

   There are text properties here:
     dired-filename       t
     fontified            t
     help-echo            "mouse-2: visit this file in other window"
     mouse-face           highlight

In GNU Emacs 23.0.93.3 (i386-apple-darwin9.6.1, GTK+ Version 2.14.7)
 of 2009-05-11 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t